﻿using Housewives.Api.Entities;
using Housewives.Models.Dtos;

namespace Housewives.Api.Extensions
{
    public static class DtoConversions
    {
        public static IEnumerable<HousewifeDto> ConvertToDto(this IEnumerable<Housewife> housewives)
        {
            return (from housewife in housewives
                    select new HousewifeDto
                    {
                        Id = housewife.Id,
                        Name = housewife.Name,
                        Series = housewife.Series,
                        ImageUrl = housewife.ImageUrl
                    }).ToList();
        }
        public static IEnumerable<QuoteDto> ConvertToDto(this IEnumerable<Quote> quotes)
        {
            return (from quote in quotes
                    select new QuoteDto
                    {
                        Id = quote.Id,
                        HousewifeId = quote.HousewifeId,
                        Phrase = quote.Phrase,
                        Season = quote.Season,
                        Episode = quote.Episode
                    }).ToList();
        }


    }
}
